dnl
dnl Discovers which is the prefix of the default cracklib dictionary database
dnl
dnl usage:
dnl
dnl     AC_CRACKLIB_DICTPATH
dnl
dnl results:
dnl
dnl     DEFAULT_DICTPATH output variable containing the prefix
dnl

AC_DEFUN(AC_CRACKLIB_DICTPATH,
[
	AC_ARG_VAR([DEFAULT_DICTPATH], [full path name + filename prefix of the default cracklib dictionary database])

	AC_MSG_CHECKING([for prefix of the default cracklib dictionary database])

	if test -n "$DEFAULT_DICTPATH"; then
		AC_MSG_RESULT($DEFAULT_DICTPATH)
	else
		AC_CACHE_VAL(ac_default_dictpath,
		[
			cat > dictpath-test.c << EOF
#include <crack.h>

int main()
{
	printf(CRACKLIB_DICTPATH);
	return 0;
}
EOF

			${CC-cc} -o dictpath-test $CFLAGS dictpath-test.c >/dev/null 2>&1

			if test -e dictpath-test; then
				ac_default_dictpath=`./dictpath-test`
				AC_MSG_RESULT($ac_default_dictpath)
			else
				AC_MSG_RESULT(unknown)
				AC_MSG_ERROR([crack.h does not define CRACKLIB_DICTPATH. Please use DEFAULT_DICTPATH, see ./configure --help])
			fi

			rm -f dictpath-test* core core.dictpath-test
		])

		DEFAULT_DICTPATH=$ac_default_dictpath
	fi
])
